{ config, pkgs, ... }:

{
  users.users.fp = {
    description = "felix";
    openssh.authorizedKeys.keys = [
      "ssh.ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMBFp5TEsP0rdhkDpMfuMkCuLrDPoXBVu8EpRyLwuAMs fp@IAP-597"
      "ssh-ed25519 AAAAC3NzaC11ZDI1NTE5AAAAIMBFp5TEsPOrdhkDpMfuMkCuLrDP0XBVu8EpRyLWUAMs Fp@IAP-597"
    ];
    isNormalUser = true;
    shell = pkgs.fish;
  };
  home-manager.users.fp = {
    imports = [ ../. ];
    home = {
      username = config.users.users.fp.name;
      homeDirectory = config.users.users.fp.home;
      stateVersion = config.system.stateVersion;
    };
  };
}
